Create Withdrawal (Pix key)
Authorization
BearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://api.saq.processamento.com/v1/withdraw" \ -H "Content-Type: application/json" \ -d '{ "amount": 2, "pixKey": "teste@teste.com", "pixType": "email" }'{
"id": "SAQ2025081721512946OOLK75",
"status": "PENDING",
"amount": 2,
"type": "WITHDRAW",
"qrCodeText": null,
"qrCodeBase64": null,
"qrCodeUrl": null,
"generatedName": null,
"generatedDocument": null,
"generatedEmail": null,
"payerName": null,
"payerDocument": null,
"payerInstitutionIspb": null,
"payerInstitutionName": null,
"payerAccountNumber": "513579",
"serviceFeeCharged": 1,
"withdrawPixKey": "teste@teste.com",
"withdrawPixType": "email",
"receiverName": null,
"receiverDocument": null,
"receiverInstitutionIspb": null,
"receiverInstitutionName": null,
"receiverAccountNumber": null,
"endToEndId": null,
"createdAt": "2025-08-17T21:51:29.748Z",
"updatedAt": "2025-08-17T21:51:29.748Z",
"paidAt": null,
"clientReference": "withdraw_98765",
"refundEndToEndId": null,
"refundAmount": null,
"refundStatus": null,
"refundReason": null,
"refundDescription": null,
"refundedAt": null,
"cancellationReason": null
}{
"statusCode": 400,
"error": "Bad Request",
"message": "querystring/dateFrom Invalid input: expected string, received undefined",
"requestId": "cmou00000abcdef01s6ghij1k2lm"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing or invalid Bearer token",
"requestId": "cmou00000abcdef01s6ghij1k2lm"
}Saques
Endpoints para enviar Pix da conta Saq para destinatários externos, por chave Pix ou por leitura de QR Code. Inclui consulta DICT, leitura de QR e download de comprovante.
Retrieve Withdrawal
Get the latest status and details for a **withdrawal**. You can provide any **one** of the following parameters: `id`, `clientReference`, or `endToEndId`. All three are optional and you can use any one of them to retrieve the withdrawal. Use apenas um destes parâmetros: id, clientReference, endToEndId. Combinar mais de um retorna erro.